[wayland] Implement size and position window rules
ClosedPublic

Authored by zzag on Feb 28 2019, 12:21 PM.

Details

Summary

CCBUG: 409797

Test Plan

The new tests pass.

Diff Detail

Repository
R108 KWin
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zzag created this revision.Feb 28 2019, 12:21 PM
Restricted Application added a project: KWin. · View Herald TranscriptFeb 28 2019, 12:21 PM
Restricted Application added a subscriber: kwin. · View Herald Transcript
zzag requested review of this revision.Feb 28 2019, 12:21 PM
zzag updated this revision to Diff 52817.Feb 28 2019, 12:51 PM

More QEXPECT_FAIL

zzag updated this revision to Diff 52840.Feb 28 2019, 4:26 PM

use enums in the tests

zzag updated this revision to Diff 52842.Feb 28 2019, 4:27 PM

use enums in the tests

zzag updated this revision to Diff 61437.Jul 9 2019, 5:58 PM

Adjust to recent ShellClient changes.

zzag updated this revision to Diff 61442.Jul 9 2019, 6:36 PM

Better wording in a comment.

ngraham edited the summary of this revision. (Show Details)Jul 15 2019, 2:32 AM
zzag added a comment.Sun, Jul 28, 10:26 AM

If there are no objections, I'm gonna land this patch in a couple days.

This revision was not accepted when it landed; it landed in state Needs Review.Mon, Jul 29, 6:21 PM
This revision was automatically updated to reflect the committed changes.